.contenido.contenido--cursos{
    display: none;
}

.contenido.contenido--cursos.contenido--activo{
    display: block;
}

/* Bienvenida */

.cabecera-bienvenida{
    background:white;
    padding: 30px;
    border-radius: 10px;
    margin-bottom: 40px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.08);
}

.cabecera-bienvenida h1{
    margin-bottom: 10px;
}

.cabecera-bienvenida p{
    color:#475569;
}


/* Cursos */

.contenedor{
    display: flex;
    flex-direction: column;
    height: 800px;
}


.contenido.contenido--cursos h2{
    margin-bottom: 20px;
}

.contenedor-cursos{
    display: grid;
    gap: 25px;
    overflow-y: auto;
    padding: 16px;
    scrollbar-width: none;
}

/* Card */

.card-curso{
    background:white;
    padding: 45px;
    border-radius: 10px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.08);
    transition: transform 0.25s ease, box-shadow 0.25s ease;
    cursor: pointer;
    position: relative; 
}

.card-curso:hover{
    transform: translateY(-6px);
    box-shadow:0 12px 25px rgba(0,0,0,0.15);
}

.card-curso__estado{
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 14px;
    font-weight: bold;
    padding: 5px 10px;
    border-radius: 6px;
    border: 2px solid transparent;
}

.card-curso__cuestionario{
    padding: 12px;
    text-align: center;
    font-weight: bold;
    margin: 20px auto 0px;
    border-radius: 10px;
    width: 90%;
}

/* Aprobado */
.aprobado {
    border: 2px solid green;
    color: green;
    background: #eaffea;
}

/* Suspenso */
.suspenso {
    border: 2px solid red;
    color: red;
    background: #ffeaea;
}

.norealizado{
    border: 2px solid black;
    color: black;
    background-color: #f9f9f9;
}


.card-curso h3{
    margin-bottom: 10px;
}

.card-curso p{
    color:#475569;
    margin-bottom: 15px;
}

.card-curso hr{
    border: none;
    border-top: 1px solid #e2e8f0;
    margin-bottom: 10px;
}

.fechas{
    display: flex;
    justify-content: space-between;
    font-size: 14px;
    color:#64748b;
}


/* cabecera */

.cabecera-cursos{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
    gap: 10px;
    flex-shrink: 0;               
    z-index: 10;
}



/* Filtro (no crece) */
.contenido__filtro {
    flex: 0 0 auto;
    padding: 0.5rem;
    border-radius: 6px;
    border: 1px solid #ccc;
}

/* Buscador ocupa todo el espacio disponible */
.contenido__buscador {
    display: flex;
    align-items: center;
    flex: 1; 
    background: #f5f5f5;
    border-radius: 8px;
    border: 2px solid rgb(137, 136, 136);
    padding: 0.5rem 1rem;
}

.contenido__buscador:focus-within {
    border-color: black;
}

.contenido__buscador-icono {
    margin-right: 0.5rem;
    color: #666;
}

.contenido__buscador-input {
    border: none;
    outline: none;
    background: transparent;
    width: 100%;
}



@media (max-width:900px){

    .contenedor-cursos{
        grid-template-columns: 1fr;
    }

    .contenido{
        padding: 25px;
    }

}

